<template lang="html">
  <div>
     <b-form-input v-model="name"
                  type="text"
                  placeholder="Enter your name"
                  :state="nameState ? 'valid' : 'invalid'"
                  :formatter="format"
    ></b-form-input>
    <b-button variant="primary" @click='saveItem'>
        Save
    </b-button>
    <ul v-for='value in savedItems'>
      <li>{{ value }}</li>
    </ul>
  </div>
</template>

<script>
export default {

  computed: {
    nameState() {
      return this.name.length <= 5;
    },
  },

  data: () => (
    {
      name: '12345s',
      savedItems: [],
    }
  ),

  methods: {
    format(value) {
      return value.toUpperCase();
    },

    saveItem() {
      console.log('clicked');
      this.savedItems.push(this.name);
    },
  },

  mounted() {},
};
</script>

<style lang="scss" scoped>
</style>
